LibreOffice LibreOffice 25.8 SDK API Reference

Public Attributes | List of all members
XLiteral Interface Reference

represents a literal that may occur in a RDF graph. More...

`import"XLiteral.idl";`

Inheritance diagram for XLiteral:

## Public Attributes
string | Value
| the content of the literal More...
string | Language
| the language of the literal; may be the empty `string` More...
XURI | Datatype
| the data type of the literal; may be `NULL` More...
Public Attributes inherited from XNode
string | StringValue
| the string value of the node. More...

## Detailed Description

represents a literal that may occur in a RDF graph.

RDF literals may come in three varieties:

- just a string Value
- Value and Language
- typed literal: Value and Datatype (represented by a URI)

Note that there is no literal with both Language and Datatype.

Since
  OOo 3.0

See also
  XRepository

## Member Data Documentation

## ◆ Datatype

XURI Datatype
| attribute readonly

the data type of the literal; may be `NULL`

## ◆ Language

string Language
| attribute readonly

the language of the literal; may be the empty `string`

## ◆ Value

string Value
| attribute readonly

the content of the literal

The documentation for this interface was generated from the following file:

- com/sun/star/rdf/XLiteral.idl